Subject: boot-time partitions and bootargs for 2.6.14

From: Dmytro Bablinyuk <[email-masked]>
Date: Tue, 11 Oct 2005 09:05:01 +1000

I have 2.6.14 kernel and the following partitions (defined in U-Boot 1.1.4)
mtdparts=0:1024k(Linux),4096k(root),2048k(Unused),512k(U-Boot),512()

And I tried different bootargs
bootargs=console=ttyCPM0,115200 root=/dev/mtdblock1 rw rootfstype=jffs2

And I tried
bootargs console=ttyCPM0,115200 root=31:01 rw rootfstype=jffs2

I still have
Kernel panic - not syncing: VFS: Unable to mount root fs on 
unknown-block(31,1)

I tried different minor numbers but result the same. Does anybody know 
what type of root param I should use for 2.6.14 - mtdblock1 or 31:01?
Can anybody suggest me what I missed? One of the reasons I see that I 
may have a corrupted root.

Thank you

Dimitry